# Uses of Interface
org.eclipse.emf.cdo.CDOObjectReference

Packages that use CDOObjectReference
Package
Description
org.eclipse.emf.cdo.lm.client
Client concepts for dealing with CDO Lifecycle Management systems and assemblies.
org.eclipse.emf.cdo.transaction
Client concepts for dealing with transactions, distributed transactions and their save points.
org.eclipse.emf.cdo.util
Client utility classes, some common interfaces and exceptions.
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOObjectReference in org.eclipse.emf.cdo.lm.client

Constructor parameters in org.eclipse.emf.cdo.lm.client with type arguments of type CDOObjectReference
Modifier
Constructor
Description
``
`ModuleDeletionException(String deletedModuleName, List<CDOObjectReference> references)`

## Uses of CDOObjectReference in org.eclipse.emf.cdo.transaction

Methods in org.eclipse.emf.cdo.transaction that return types with arguments of type CDOObjectReference
Modifier and Type
Method
Description
`List<CDOObjectReference>`
CDOPushTransaction.`queryXRefs(Set<CDOObject> targetObjects, EReference... sourceReferences)`
Deprecated.
`List<CDOObjectReference>`
CDOPushTransaction.`queryXRefs(CDOObject targetObject, EReference... sourceReferences)`
Deprecated.
`org.eclipse.net4j.util.collection.CloseableIterator<CDOObjectReference>`
CDOPushTransaction.`queryXRefsAsync(Set<CDOObject> targetObjects, EReference... sourceReferences)`
Deprecated.

## Uses of CDOObjectReference in org.eclipse.emf.cdo.util

Methods in org.eclipse.emf.cdo.util that return types with arguments of type CDOObjectReference
Modifier and Type
Method
Description
`List<CDOObjectReference>`
ReferentialIntegrityException.`getXRefs()`
Constructor parameters in org.eclipse.emf.cdo.util with type arguments of type CDOObjectReference
Modifier
Constructor
Description
``
`ReferentialIntegrityException(String msg, List<CDOObjectReference> xRefs)`

## Uses of CDOObjectReference in org.eclipse.emf.cdo.view

Methods in org.eclipse.emf.cdo.view that return types with arguments of type CDOObjectReference
Modifier and Type
Method
Description
`List<CDOObjectReference>`
CDOView.`queryXRefs(Set<CDOObject> targetObjects, EReference... sourceReferences)`
Returns a list of `object references` that represent the cross references to the specified target objects.
`List<CDOObjectReference>`
CDOView.`queryXRefs(CDOObject targetObject, EReference... sourceReferences)`
Returns a list of `object references` that represent the cross references to the specified target object.
`org.eclipse.net4j.util.collection.CloseableIterator<CDOObjectReference>`
CDOView.`queryXRefsAsync(Set<CDOObject> targetObjects, EReference... sourceReferences)`
Returns an iterator over the `object references` that represent the cross references to the specified target objects.

## Uses of CDOObjectReference in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return types with arguments of type CDOObjectReference
Modifier and Type
Method
Description
`List<CDOObjectReference>`
CDOSessionProtocol.CommitTransactionResult.`getXRefs()`
Method parameters in org.eclipse.emf.spi.cdo with type arguments of type CDOObjectReference
Modifier and Type
Method
Description
`void`
CDOSessionProtocol.CommitTransactionResult.`setXRefs(List<CDOObjectReference> xRefs)`
Constructor parameters in org.eclipse.emf.spi.cdo with type arguments of type CDOObjectReference
Modifier
Constructor
Description
``
`CommitTransactionResult(CDOIDProvider idProvider, byte rollbackReason, String rollbackMessage, CDOBranchPoint branchPoint, long previousTimeStamp, List<CDOObjectReference> xRefs, boolean clearResourcePathCache)`
Deprecated.
As of 4.3
``
`CommitTransactionResult(CDOIDProvider idProvider, String rollbackMessage, CDOBranchPoint branchPoint, long previousTimeStamp, List<CDOObjectReference> xRefs)`
Deprecated.
As of 4.2